<?php

namespace Schaffen\Fiscal\FiscalDocument\Managers;

use DB;
use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Schaffen\Fiscal\FiscalDocument\Models\TelecomServiceFiscalNoteItem;
use Schaffen\Fiscal\FiscalDocument\Repositories\NfstiRepository;

class NfstiManager extends ManipulationManager
{
     
    protected $validation = [
        self::CREATE => [],
        self::EDIT => []
    ];

    
    /**
     * @var NfstiRepository
     */
    protected $repository;

    public function __construct(
        NfstiRepository $repository
    )
    {
        $this->repository = $repository;
    }

    public function storeOrUpdate($values, int $id = null, $relations = []): TelecomServiceFiscalNoteItem
    {
        return DB::transaction(function () use ($values, $id, $relations) {
            /** @var TelecomServiceFiscalNoteItem $nfsti */
            $nfsti = parent::storeOrUpdate($values, $id, $relations);
            return $nfsti;
        });
    }
    
    


}