<?php

namespace Schaffen\Fiscal\FiscalDocument\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Illuminate\Support\Facades\DB;
use Schaffen\Fiscal\FiscalDocument\Models\TelecomServiceFiscalNote;
use Schaffen\Fiscal\FiscalDocument\Repositories\SdfRepository;
use Schaffen\Fiscal\FiscalDocument\Managers\SdfManager;

class SdfManager extends ManipulationManager
{
     
    protected $validation = [
        self::CREATE => [],
        self::EDIT => []
    ];

    
    /**
     * @var SdfRepository
     */
    protected $repository;
    

    public function __construct(
        SdfRepository $repository
    )
    {
        $this->repository = $repository;
    }

}